## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate test-case

Name:           rust-test-case
Version:        3.3.1
Release:        %autorelease
Summary:        Procedural macro attribute for generating parametrized test cases

License:        MIT
URL:            https://crates.io/crates/test-case
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop acceptance tests that are not included in published crates
# * exclude some files that are only useful for upstream development
Patch:          test-case-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Provides #[test_case(...)] procedural macro attribute for generating
parametrized test cases easily.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+with-regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+with-regex-devel %{_description}

This package contains library source intended for building other packages which
use the "with-regex" feature of the "%{crate}" crate.

%files       -n %{name}+with-regex-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep
# integration tests rely on files that are not included in published crates
rm tests/acceptance_tests.rs

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 Fabio Valentini <decathorpe@gmail.com> - 3.3.1-1
- Update to version 3.3.1; Fixes RHBZ#2250256

* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 3.2.1-1
- Update to version 3.2.1; Fixes RHBZ#2057213

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 03 2023 Fabio Valentini <decathorpe@gmail.com> - 2.2.2-1
- Update to version 2.2.2

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#2018126

* Wed Sep 01 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.0-1
- Initial import (#1999251)
## END: Generated by rpmautospec
